exports.up = async (knex) => {
  // the site table is just a glorified map of key/values for different arbitrary settings
  // and data collection.

  await knex.schema.createTable('site', (table) => {
    table.increments('id');
    table.timestamps(true, true);

    table.string("key").unique().notNullable();
    table.json("value");
  });
};

exports.down = async (knex) => {
  return await knex.schema.dropTable('site');
};
